Summary:    This is a tool for automatically tracking upstream repository code patches
Name:       patch-tracking
Version:    1.0.1
Release:    4
License:    Mulan PSL v2
URL:        https://gitee.com/openeuler/openEuler-Advisor
Source0:    patch-tracking-%{version}.tar
Patch0000:  fix-uwsgi-not-found.patch
BuildArch:  noarch


BuildRequires: python3-setuptools systemd
Requires: python3-uWSGI python3-flask python3-Flask-SQLAlchemy python3-pandas
Requires: python3-Flask-APScheduler python3-Flask-HTTPAuth python3-requests git

%description
This is a tool for automatically tracking upstream repository code patches

%prep
%setup -n patch-tracking-%{version}
%patch0 -p1

%build
%py3_build

%install
%py3_install

%post
sed -i "s|\blogging.conf\b|/etc/patch-tracking/logging.conf|" %{python3_sitelib}/patch_tracking/app.py
sed -i "s|\bsqlite:///db.sqlite\b|sqlite:////var/patch-tracking/db.sqlite|" %{python3_sitelib}/patch_tracking/app.py
sed -i "s|\bsettings.conf\b|/etc/patch-tracking/settings.conf|" %{python3_sitelib}/patch_tracking/app.py
chmod +x /usr/bin/patch-tracking-cli
chmod +x /usr/bin/patch-tracking
chmod +x /usr/bin/generate_password
sed -i "s|\bpatch-tracking.log\b|/var/log/patch-tracking.log|" /etc/patch-tracking/logging.conf

%preun
%systemd_preun patch-tracking.service

%clean
rm -rf $RPM_BUILD_ROOT

%files
%{python3_sitelib}/*
/etc/patch-tracking/logging.conf
/etc/patch-tracking/settings.conf
/usr/bin/patch-tracking
/usr/bin/patch-tracking-cli
/var/patch-tracking/db.sqlite
/usr/bin/generate_password
/usr/lib/systemd/system/patch-tracking.service


%changelog
* Tue Feb 28 2023 liheavy <lihaiwei8@huawei.com> - 1.0.1-4
- Add ReadMe and add install Requires

* Mon Mar 07 2022 liheavy <lihaiwei8@huawei.com> - 1.0.1-3
- Fix the problem that startup failed because A could not be found

* Tue Feb 22 2022 liheavy <lihaiwei8@huawei.com> - 1.0.1-2
- Fix the problem that the uninstallation fails due to not recognizing systemd_preun

* Mon Sep 07 2020 chenyanpan <chenyanpan@huawei.com> - 1.0.1-1
- Type: bugfix
- DESC: fixed issues related to the validity of service configuration items and command line parameters
